org.eclipse.jetty.rewrite.handler

## Interface Rule.ApplyURI

All Known Implementing Classes:
  RewritePatternRule, RewriteRegexRule

Enclosing class:
  Rule

    public static interface Rule.ApplyURI

Interface used to apply a changed target if `RuleContainer.setRewriteRequestURI(boolean)` is true.

### Method Summary

Methods
`void` `applyURI(Request request, String oldTarget, String newTarget)`

### Method Detail

#### applyURI

    void applyURI(Request request,
                String oldTarget,
                String newTarget)
                  throws IOException

Throws:
  `IOException`